Bug 512013 - [LTC 5.5 FEAT] Support ACPI S3/S4 Sleeping States [201941]
[LTC 5.5 FEAT] Support ACPI S3/S4 Sleeping States [201941]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All All
high Severity high
: beta
: 5.5
Assigned To: James Takahashi
Red Hat Kernel QE team
: FutureFeature, TestOnly
Depends On: 550014
Blocks: 533941 557291 481160
  Show dependency treegraph
 
Reported: 2009-07-15 18:30 EDT by IBM Bug Proxy
Modified: 2010-10-18 15:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 54817 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-07-15 18:30:44 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201941]
a. Name of Feature:	Support ACPI S3/S4 Sleeping States
b. Feature Description
Support ACPI S3/S4 (Standby/Hibernate) Sleeping States in Enterprise environments.

Additional Comments:	We continue to test and validate sleep support in RHEL5.  We are expecting to
have server grade hardware to test S3/S4 during the 5.5 timeframe.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	xSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	

3. Business Case
Needed to support IBM's Energy management/Green initiatives. Requirements from customers dictate
smarter, more power efficient environments.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Deneen T. Dock, deneen@us.ibm.com
Comment 1 John Jarvis 2009-10-01 13:38:30 EDT
Is this expected to be a Test Only item?
Comment 2 IBM Bug Proxy 2009-10-01 15:20:45 EDT
------- Comment From lcm@us.ibm.com 2009-10-01 15:19 EDT-------
(In reply to comment #4)
> Is this expected to be a Test Only item?
>
Yes, we believe this will be validation only on the new servers that will be supporting S3/S4. This is based on our successful testing with RHEL5.4 on HC10 / Intellistation hardware. So, if the new hardware uncovers a corner case condition or some other error, we reserve the right to change our minds. :-)
Comment 3 John Jarvis 2009-10-01 15:37:27 EDT
No problem, if a bug is found please open a new BZ and set it as a dependency of this one so we can track it.
Comment 6 John Jarvis 2009-11-13 10:15:19 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 7 Peter Bogdanovic 2010-01-28 18:31:13 EST
Validation only
Comment 9 Chris Ward 2010-02-11 05:03:35 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 10 Jan Tluka 2010-02-11 08:11:53 EST
This bug is currently blocked by bug 550014. I cannot verify until this one is resolved.
Comment 11 IBM Bug Proxy 2010-02-18 19:30:38 EST
------- Comment From masbock@us.ibm.com 2010-02-18 19:29 EDT-------
Retested with 2.6.18-189.el5. Found that suspend to disk now works. The system resumes, but the network is not functional after resume. Perhaps the following kernel messages is related to the problem:
bnx2: Chip not in correct endian mode
Test was performed on an x3550 M2.
Comment 12 Jan Tluka 2010-03-02 06:19:17 EST
Verified on -190.el5. Tested system was ibm-x3200m2.

System was able to suspend to disk. Suspend to memory was not tested as this is not supported on ibm-x3200m2.

# cat /sys/power/state
standby disk 

Checked also restore of running process. The system was able to recover the running process after suspend.

Consider this bug verified.
Comment 13 IBM Bug Proxy 2010-03-02 17:10:38 EST
------- Comment From masbock@us.ibm.com 2010-03-02 17:06 EDT-------
I also tested suspend to disk on an IBM x3200 M2 with the 2.6.18-189.el5 kernel (Snap 2). The system resumed from suspend and running processes also resumed.
On this system network connectivity was also restored after resume.
I agree that this feature should be considered verified.

However on three other system with a bnx2 driver and the Broadcom 5709 chip we observed that the network wasn't functional after resume. We will track this issue as a separate bugzilla entry.
Comment 14 IBM Bug Proxy 2010-03-09 14:30:57 EST
------- Comment From lcm@us.ibm.com 2010-03-09 14:22 EDT-------
Marking feature request as 'Verified'. A separate bug LTC 61110 / RHIT 598103 has been opened to track the outstanding issue on systems using bnx2 driver.
Comment 16 errata-xmlrpc 2010-03-30 03:23:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.